
From: Oleg Drokin <green@namesys.com>

There is a leftover kunmap in reiserfs_unprepare_pages() which was not
deleted after conversion to kmap_atomic.  This path is virtually never
executed, that's why it was not catched earlier.  Please apply.



 25-akpm/fs/reiserfs/file.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN fs/reiserfs/file.c~reiserfs-bogus-kunmap-removal fs/reiserfs/file.c
--- 25/fs/reiserfs/file.c~reiserfs-bogus-kunmap-removal	Fri Aug  8 12:53:01 2003
+++ 25-akpm/fs/reiserfs/file.c	Fri Aug  8 12:53:01 2003
@@ -555,7 +555,6 @@ void reiserfs_unprepare_pages(struct pag
 	struct page *page = prepared_pages[i];
 
 	try_to_free_buffers(page);
-	kunmap(page);
 	unlock_page(page);
 	page_cache_release(page);
     }

_
